Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517975 - Possibly confusing one-off use of sudo
Summary: Possibly confusing one-off use of sudo
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.8.0
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
: ---
Assignee: Kathryn Alexander
QA Contact: Vikram Goyal
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-27 19:42 UTC by Chris Evich
Modified: 2018-06-20 18:47 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-20 18:47:59 UTC


Attachments (Terms of Use)

Description Chris Evich 2017-11-27 19:42:48 UTC
Document URL: https://docs.openshift.com/container-platform/3.6/install_config/install/host_preparation.html#enabling-image-signature-support

Section Number and Name: "Example Atomic Trust Configuration"

Describe the issue: No command except the last mentions using 'sudo'.  This could be confusing if interpreted as requiring non-root for all the other commands.

Suggestions for improvement: Kill 'sudo'

Additional information:

Comment 1 Chris Evich 2017-11-27 19:45:43 UTC
Steve/Giuseppe- Minor issue found while testing upstream openshift-ansible installer.  Easy fix.

Comment 2 Steve Milner 2017-11-27 20:02:51 UTC
(In reply to Chris Evich from comment #0)
> Document URL:
> https://docs.openshift.com/container-platform/3.6/install_config/install/
> host_preparation.html#enabling-image-signature-support
> 
<snip>

> Suggestions for improvement: Kill 'sudo'


That makes sense to me. I'd add on that the prompt should be # instead of $ to indicate super user. The user will be told they must have access but being explicit in docs is rarely a bad thing.

Comment 3 Kathryn Alexander 2018-06-15 17:39:06 UTC
PR: https://github.com/openshift/openshift-docs/pull/10129

@Vikram, I think this can be merged without QE.

Comment 5 Kathryn Alexander 2018-06-18 14:22:20 UTC
Vikram agreed that this change was fine, so I've merged it and am waiting for it to go live.


Note You need to log in before you can comment on or make changes to this bug.